Package: org.gmetrics.metric

## [Groovy] Interface MethodMetric

- org.gmetrics.metric.Metric

- All Superinterfaces:
    Metric

  Represents a method-level metric

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MetricResult` | `applyToClosure(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression, SourceCode sourceCode)`
    `` | `MetricResult` | `applyToMethod(org.codehaus.groovy.ast.MethodNode methodNode, SourceCode sourceCode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Metric` | `applyToClass, applyToPackage, getBaseLevel, getFunctions, getName, isEnabled`

- - ### Method Detail

    - #### MetricResult applyToClosure(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression, SourceCode sourceCode)

    - #### MetricResult applyToMethod(org.codehaus.groovy.ast.MethodNode methodNode, SourceCode sourceCode)